Index: admin/install/index.php
===================================================================
--- admin/install/index.php	(revision 3699)
+++ admin/install/index.php	(revision 3725)
@@ -334,23 +334,40 @@
     '<fieldset><legend>' . __('User information') . '</legend>' .
     '<p><label for="u_firstname">' . __('First Name:') . '</label> ' .
-    form::field('u_firstname', 30, 255, html::escapeHTML($u_firstname)) . '</p>' .
+    form::field('u_firstname', 30, 255, array(
+        'default'      => html::escapeHTML($u_firstname),
+        'autocomplete' => 'given-name'
+    )) .
+    '</p>' .
     '<p><label for="u_name">' . __('Last Name:') . '</label> ' .
-    form::field('u_name', 30, 255, html::escapeHTML($u_name)) . '</p>' .
+    form::field('u_name', 30, 255, array(
+        'default'      => html::escapeHTML($u_name),
+        'autocomplete' => 'family-name'
+    )) .
+    '</p>' .
     '<p><label for="u_email">' . __('Email:') . '</label> ' .
-    form::field('u_email', 30, 255, html::escapeHTML($u_email)) . '</p>' .
+    form::email('u_email', array(
+        'size'         => 30,
+        'default'      => html::escapeHTML($u_email),
+        'autocomplete' => 'email'
+    )) .
+    '</p>' .
     '</fieldset>' .
 
     '<fieldset><legend>' . __('Username and password') . '</legend>' .
     '<p><label for="u_login" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Username:') . ' ' .
-    form::field('u_login', 30, 32, html::escapeHTML($u_login), '', '', false, 'required placeholder="' . __('Username') . '"') . '</label></p>' .
+    form::field('u_login', 30, 32, array(
+        'default'      => html::escapeHTML($u_login),
+        'extra_html'   => 'required placeholder="' . __('Username') . '"',
+        'autocomplete' => 'username'
+    )) .
+    '</label></p>' .
     '<div class="pw-table">' .
     '<p class="pw-cell">' .
     '<label for="u_pwd" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('New password:') . '</label>' .
-    form::password('u_pwd', 30, 255,
-        array(
-            'extra_html'   => 'data-indicator="pwindicator" required placeholder="' . __('Password') . '"',
-            'autocomplete' => 'new-password'
-        )
-    ) . '</p>' .
+    form::password('u_pwd', 30, 255, array(
+        'extra_html'   => 'data-indicator="pwindicator" required placeholder="' . __('Password') . '"',
+        'autocomplete' => 'new-password'
+    )) .
+    '</p>' .
     '<div id="pwindicator">' .
     '    <div class="bar"></div>' .
@@ -359,10 +376,9 @@
     '</div>' .
     '<p><label for="u_pwd2" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Confirm password:') . ' ' .
-    form::password('u_pwd2', 30, 255,
-        array(
-            'extra_html'   => 'required placeholder="' . __('Password') . '"',
-            'autocomplete' => 'new-password'
-        )
-    ) . '</label></p>' .
+    form::password('u_pwd2', 30, 255, array(
+        'extra_html'   => 'required placeholder="' . __('Password') . '"',
+        'autocomplete' => 'new-password'
+    )) .
+    '</label></p>' .
     '</fieldset>' .
 
Index: admin/install/wizard.php
===================================================================
--- admin/install/wizard.php	(revision 3703)
+++ admin/install/wizard.php	(revision 3725)
@@ -213,7 +213,16 @@
 form::password('DBPASSWORD', 30, 255) . '</p>' .
 '<p><label for="DBPREFIX" class="required"><abbr title="' . __('Required field') . '">*</abbr> ' . __('Database Tables Prefix:') . '</label> ' .
-form::field('DBPREFIX', 30, 255, html::escapeHTML($DBPREFIX), '', '', false, 'required placeholder="' . __('Prefix') . '"') . '</p>' .
+form::field('DBPREFIX', 30, 255, array(
+    'default'    => html::escapeHTML($DBPREFIX),
+    'extra_html' => 'required placeholder="' . __('Prefix') . '"'
+)) .
+'</p>' .
 '<p><label for="ADMINMAILFROM">' . __('Master Email: (used as sender for password recovery)') . '</label> ' .
-form::field('ADMINMAILFROM', 30, 255, html::escapeHTML($ADMINMAILFROM)) . '</p>' .
+form::mail('ADMINMAILFROM', array(
+    'size'         => 30,
+    'default'      => html::escapeHTML($ADMINMAILFROM),
+    'autocomplete' => 'email'
+)) .
+'</p>' .
 
 '<p><input type="submit" value="' . __('Continue') . '" /></p>' .
